Ask Your Question
0

cloudera: Invalid Parameter architecture

asked 2014-09-18 10:36:34 -0500

updated 2014-09-18 17:34:14 -0500

I am using cloudera version 1.0.0. I have Ubuntu 12.04 LTS installed on VM. I get an error when I do vagrant up --provision, the error is

Invalid parameter architecture at /tmp/vagrant-puppet-3/modules-0/cloudera/manifests/cm/repo.pp:142 on node precise64

what could be the issue?

I have following dependency versions

nanliu-staging-0.2.1

darin-zypprepo-1.0.1

stahnma-epel-0.0.3

puppetlabs-java_ks-1.0.0

puppetlabs-postgresql-2.1.0

puppetlabs-java_ks-1.0.0.tar

@razorsedge Pleaes advise.

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2014-09-20 20:00:18 -0500

llowder gravatar image

Whatever resource is declared at/near line 142 of /tmp/vagrant-puppet-3/modules-0/cloudera/manifests/cm/repo.pp is trying to use a parameter named architecture but the resource being declared does not take that as a parameter.

You'll need to make sure that the versions you have installed are the proper ones, and double check your code.

Without seeing code, I can't really give a more specific answer.

edit flag offensive delete link more
0

answered 2014-09-22 11:27:50 -0500

This issue was solved by updating to Puppet version 3.7.1 (and I assume a newer facter).

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2014-09-18 10:33:33 -0500

Seen: 61 times

Last updated: Sep 22 '14